Subject: emacs on Mac errors

From: Fred Stanke <[email-masked]>
Date: Thu, 29 Oct 2015 16:19:31 -0700

I have recently upgraded to OS X El Capitan, Ver. 10.11

I more recently installed:
This is GNU Emacs 24.5.1 (x86_64-apple-darwin13.4.0, NS apple-appkit-1265.21)
of 2015-04-10 on builder10-9.porkrind.org

Emacs comes up and I can edit files.  However, I am having (at least) these 2 problems

1) I go to *info*m and try to execute 
menu item: Emacs 
and get
jka-compr-update: Recursive load: "/Users/fred/.emacs.d/lisp/jka-compr.elc", "/Users/fred/.emacs.d/lisp/jka-compr.elc", "/Users/fred/.emacs.d/lisp/jka-compr.elc", "/Users/fred/.emacs.d/lisp/jka-compr.elc", "/Users/fred/.emacs.d/lisp/jka-compr.elc”

2) I try to diff 2 files and get:
diff: Symbol's function definition is void: compile-internal

3) When I type M-x grep the minibuffer reports:
Symbol's function definition is void: shell-completion-vars

Could you suggest solutions for this?

Fred

PS

/Applications/Emacs.app/Contents:
 total used in directory 40 available 43818110
 drwxr-xr-x@  7 fred  admin    238 Apr 12  2015 .
 drwxr-xr-x@  3 fred  admin    102 Apr 10  2015 ..
 -rw-r--r--@  1 fred  admin  14786 Apr 10  2015 Info.plist
 drwxr-xr-x@ 20 fred  admin    680 Apr 12  2015 MacOS
 -rw-------@  1 fred  admin      8 Jan  6  2015 PkgInfo
 drwxr-xr-x@ 12 fred  admin    408 Apr 10  2015 Resources
 drwxr-xr-x@  6 fred  admin    204 Apr 12  2015 _CodeSignature